# Sadness, this directory is hardcoded everywhere
%global _libdir /usr/lib
Name:           obs-build
Version:        20160921.gitf744c99
Release:        1%{?dist}
Summary:        A generic package build script

License:        GPLv2
URL:            https://github.com/openSUSE/obs-build
# Tarball generated by:
# git clone https://github.com/openSUSE/obs-build.git
# tar Jcvf obs-build-VERSION.tar.xz obs-build
Source0:        %{name}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  perl-generators
Requires:       bash, perl, binutils, tar
Provides:       build = %{version}-%{release}
Requires:       %{name}-mkbaselibs = %{version}-%{release}
%if 0%{?fedora} || 0%{?rhel} >= 8
Recommends:     %{name}-mkdrpms = %{version}-%{release}
%endif

%description
This package provides a script for building packages in a chroot environment.
It is commonly used with the Open Build Service as the engine for building
packages for a wide variety of distributions.

%package mkbaselibs
Summary:        Tools to generate base library packages
Provides:       build-mkbaselibs = %{version}-%{release}
AutoReq:        no

%description mkbaselibs
This package contains the parts which may be installed in the inner build
system for generating base library packages.

%package mkdrpms
Summary:        Tools to generate DeltaRPMs
Provides:       build-mkdrpms = %{version}-%{release}
Requires:       deltarpm
Requires:       %{name}

%description mkdrpms
This package contains the parts which may be installed in the inner build
system for generating DeltaRPM packages.

%prep
%setup -q -n %{name}


%build
# Nothing to do here


%install
%make_install
pushd %{buildroot}%{_libdir}/build/configs/
touch default.conf
test -e default.conf
popd

# Install man pages
install -d -m 0755 %{buildroot}%{_mandir}/man1
install -m 0644 build.1* %{buildroot}%{_mandir}/man1/
install -m 0644 unrpm.1* %{buildroot}%{_mandir}/man1/
install -m 0644 vc.1* %{buildroot}%{_mandir}/man1/


%files
%{_bindir}/build
%{_bindir}/buildvc
%{_bindir}/unrpm
%{_libdir}/build
%{_mandir}/man1/build.1*
%{_mandir}/man1/unrpm.1*
%{_mandir}/man1/vc.1*
%exclude %{_libdir}/build/mkbaselibs
%exclude %{_libdir}/build/baselibs*
%exclude %{_libdir}/build/mkdrpms

%doc README

%files mkbaselibs
%{_libdir}/build/mkbaselibs
%{_libdir}/build/baselibs*

%files mkdrpms
%{_libdir}/build/mkdrpms


%changelog
* Mon Oct 03 2016 Neal Gompa <ngompa13@gmail.com> - 20160921.gitf744c99-1
- Rebase to latest commit

* Sun Aug 16 2015 Neal Gompa <ngompa13@gmail.com> - 20150810.git20b1457-1
- Initial packaging based on SUSE and Josef Stribny's packages
